commit:     1f196e4951d57194c9a1f55f89df2e369c0312e7
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  4 10:37:40 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Jan  4 13:03:28 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f196e49

media-libs/clutter: patchset to fix wayland amdgpu mouse use and more

Includes various patches from git master, including fixing picking (mouse use)
on 10bit capable systems (most notable amdgpu on wayland desktops), some
configure checks with clang and much more.
Also disables actor-shader-effect test has upstream has done under meson.

Closes: https://bugs.gentoo.org/680612
Package-Manager: Portage-2.3.79, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 media-libs/clutter/Manifest                 |   1 +
 media-libs/clutter/clutter-1.26.2-r2.ebuild | 115 ++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/media-libs/clutter/Manifest b/media-libs/clutter/Manifest
index 45bda292d11..f799ee6aec1 100644
--- a/media-libs/clutter/Manifest
+++ b/media-libs/clutter/Manifest
@@ -1 +1,2 @@
+DIST clutter-1.26.2-patchset.tar.xz 10204 BLAKE2B 
d3515420600a7d7df7df608f5091ccd1df5e23a5e75cc1e3cc3856de94a935234280d3648eace3220a299214a4715860c74d24a994b7f6e36901d8c80e10a7dc
 SHA512 
2659b9a4ec3db59bc5a35ce09f974271a7a3f5e7bfbc7f741b5a5e87b2a017f4a779aafd97386fe448b94a5285d9eecad661cc320620c7c56928e296939bb708
 DIST clutter-1.26.2.tar.xz 5353736 BLAKE2B 
ac30cee3c5a8ed786c38820b7afb86e80929c2a797b737b35650ae6dd856576d72cc7f5407a984f418e255d6ab43c8d3ca9d7efd6f50650b2e0c733ecca19114
 SHA512 
c8008a1a1f111313d9abaff8d4415f112ddc32a02e08845f3735d33bb25b72b082f133daba06749bb9595eaf1ba83b308d30a413fbbe8dcdc1afdd7077a30937

diff --git a/media-libs/clutter/clutter-1.26.2-r2.ebuild 
b/media-libs/clutter/clutter-1.26.2-r2.ebuild
new file mode 100644
index 00000000000..ed51ee09f53
--- /dev/null
+++ b/media-libs/clutter/clutter-1.26.2-r2.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+GNOME2_EAUTORECONF="yes"
+
+inherit gnome2 virtualx
+
+DESCRIPTION="Clutter is a library for creating graphical user interfaces"
+HOMEPAGE="https://wiki.gnome.org/Projects/Clutter";
+SRC_URI+=" https://dev.gentoo.org/~leio/distfiles/${P}-patchset.tar.xz";
+
+LICENSE="LGPL-2.1+ FDL-1.1+"
+SLOT="1.0"
+
+IUSE="aqua debug doc egl gtk +introspection test wayland X"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       || ( aqua wayland X )
+       wayland? ( egl )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+# NOTE: glx flavour uses libdrm + >=mesa-7.3
+# >=libX11-1.3.1 needed for X Generic Event support
+# do not depend on tslib, it does not build and is disabled by default upstream
+RDEPEND="
+       >=dev-libs/glib-2.44.0:2
+       >=dev-libs/atk-2.5.3[introspection?]
+       >=dev-libs/json-glib-0.12[introspection?]
+       >=media-libs/cogl-1.21.2:1.0=[introspection?,pango,wayland?]
+       >=x11-libs/cairo-1.14:=[aqua?,glib]
+       >=x11-libs/pango-1.30[introspection?]
+
+       virtual/opengl
+       x11-libs/libdrm:=
+
+       egl? (
+               >=dev-libs/libinput-0.19.0
+               media-libs/cogl[gles2,kms]
+               >=dev-libs/libgudev-136
+               x11-libs/libxkbcommon
+       )
+       gtk? ( >=x11-libs/gtk+-3.22.6:3[aqua?] )
+       introspection? ( >=dev-libs/gobject-introspection-1.39:= )
+       X? (
+               media-libs/fontconfig
+               >=x11-libs/libX11-1.3.1
+               x11-libs/libXext
+               x11-libs/libXdamage
+               >=x11-libs/libXi-1.3
+               >=x11-libs/libXcomposite-0.4 )
+       wayland? (
+               dev-libs/wayland
+               x11-libs/gdk-pixbuf:2 )
+"
+DEPEND="${RDEPEND}
+       dev-util/glib-utils
+       >=dev-util/gtk-doc-am-1.20
+       >=sys-devel/gettext-0.17
+       virtual/pkgconfig
+       doc? (
+               >=dev-util/gtk-doc-1.20
+               >=app-text/docbook-sgml-utils-0.6.14[jadetex]
+               dev-libs/libxslt )
+       X? ( x11-base/xorg-proto )
+       test? ( x11-libs/gdk-pixbuf )
+"
+
+PATCHES=(
+       # assorted patches from git at 2020-01-03; most importantly fixes 
wayland amdgpu picking (with working 10bit color) for various GNOME clutter 
games and gnome-maps
+       "${WORKDIR}/patches" # requires eautoreconf
+)
+
+src_prepare() {
+       # We only need conformance tests, the rest are useless for us
+       sed -e 's/^\(SUBDIRS =\).*/\1 accessibility conform/g' \
+               -i tests/Makefile.am || die "am tests sed failed"
+       sed -e 's/^\(SUBDIRS =\)[^\]*/\1  accessibility conform/g' \
+               -i tests/Makefile.in || die "in tests sed failed"
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       # XXX: Conformance test suite (and clutter itself) does not work under 
Xvfb
+       # (GLX error blabla)
+       # XXX: coverage disabled for now
+       # XXX: What about cex100/win32 backends?
+       gnome2_src_configure \
+               --disable-maintainer-flags \
+               --disable-mir-backend \
+               --disable-gcov \
+               --disable-cex100-backend \
+               --disable-win32-backend \
+               --disable-tslib-input \
+               $(use_enable aqua quartz-backend) \
+               $(usex debug --enable-debug=yes --enable-debug=minimum) \
+               $(use_enable doc docs) \
+               $(use_enable egl egl-backend) \
+               $(use_enable egl evdev-input) \
+               $(use_enable gtk gdk-backend) \
+               $(use_enable introspection) \
+               $(use_enable test gdk-pixbuf) \
+               $(use_enable wayland wayland-backend) \
+               $(use_enable wayland wayland-compositor) \
+               $(use_enable X xinput) \
+               $(use_enable X x11-backend)
+}
+
+src_test() {
+       virtx emake check -C tests/conform
+}

Reply via email to